<?php

// https://github.com/peppeocchi/php-cron-scheduler

require_once __DIR__ . "/../config/bootstrap.php";

use GO\Scheduler;

$scheduler = new Scheduler();
$scheduler->setTimezone("Europe/Paris");
// -- CRON

$cronDir = __DIR__ . "/crons";
$logDir = __DIR__ . "/../storage/crontab";

if (is_dir($logDir) == false) {
    if (!mkdir($logDir, 0775, true) && !is_dir($logDir)) {
        throw new \RuntimeException(sprintf('Directory "%s" was not created', $logDir));
    }
}

/**
 * Update
 */

//$scheduler->php($cronDir . "/update/erp_import_commande_statut.php")->at('0 2 * * *');

// \-- CRON

$scheduler->run();
