{extends file='account/account_page_abstract.tpl'}
{block name='accountContent'}
    <!--account/saved_carts-->

    <div class="formAccount">
        <h1 class="titleLvl4">{txt value="Mes paniers sauvegardés"}</h1>
        {if !empty($error)}
            <div class="row">
                <div class="col-xs-12">
                    {include file="form/flash.tpl" class="error" messages=$error}
                </div>
            </div>
        {/if}
        {if !empty($success)}
            <div class="row">
                <div class="col-xs-12">
                    {include file="form/flash.tpl" class="success" messages=$success}
                </div>
            </div>
        {/if}


        {foreach from=$arrLists item=list}
            <div>
                <div>{txt value="Nom"} : {$list.produit_list_nom}</div>
                <div>{txt value="Date"} : {$list.produit_list_date_ajout|date_format:"%d/%m/%Y"}</div>
                <div>{txt value="Produit"}{if $list.total_qte > 1}s{/if} : {$list.total_qte}</div>
                <div>{txt value="Montant TTC"} : {price ht=$list.total_ht ttc=$list.total_ttc decorate=true}</div>
                <div>
                    <a href="{url page="saved_carts_id" id=$list.produit_list_id}">{txt value="Voir"}</a>
                    <a href="{url page="saved_carts_order" id=$list.produit_list_id}">{txt value="Commander"}</a>
                    <a href="{url page="saved_carts_delete" id=$list.produit_list_id}">{txt value="Supprimer"}</a>
                </div>
                <br/>
            </div>
        {/foreach}
    </div>
{/block}



{block name="script-js"}

{/block}