<?php

class bBlock_page extends BackModule
{

    function update($formvars = array(), $table = null, $langue = true)
    {
        return parent::update_multi($formvars, $table, $langue);
    }

    function create($formvars = array(), $table = null, $langue = true)
    {
        $id = parent::create_multi($formvars, $table, $langue);

        return $id;
    }

    function duplicate($formvars = array(), $table = null, $langue = true)
    {

        $return = $this->create($formvars, $table, $langue);

        return $return;
    }

    function Form($formvars = array())
    {

        if (empty($formvars['id'])) {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('addForm') . "'>Ajout d'une nouvelle page associée</a></span>";
        } else {
            $this->path[] = "<span> &raquo; <a href='" . $this->link_to('modForm', array('id' => $formvars['id']))
                            . "'>Edition de la page associée</a></span>";
        }

        // SQL
        if (!empty($formvars['id'])) {
            $sql = "SELECT * 
                    FROM block_page bp
                    WHERE bp.block_page_id = " . $formvars['id'];

            $this->request = $sql;
        }
        //-- SQL

        //GROUP
        $form = new BackForm("Informations principales", "group");
        $this->addForm($form);
        //--GROUP

        // Champs du formulaire
        $form = new BackForm("Block", "hidden", "block_id");
        $this->addForm($form);

        $form = new BackForm("Page", "autocomplete", "page_id");
        $form->addAttr('style', 'width:400px');
        $form->setVar('method', '/cms_page/custom/autocomplete/?page_nom_nom=');
        $form->setVar('param', 'cms_page');
        $this->addForm($form);

        $form = new BackForm("Afficher Desc Courte", "select", "block_page_display_desc");
        $form->setVar('comment', 'Si Oui est coché, le bloc affichera la description courte de la page');
        $form->addOption("0", "NON");
        $form->addOption("1", "OUI");
        $this->addForm($form);

        $form = new BackForm("Rang", "text", "block_page_rang");
        $form->addAttr('class', 'required');
        $this->addForm($form);

        //-- Champs du formulaire
        if (!isset($formvars['id'])) {
            $formvars['id'] = 0;
        }

        if (!isset($formvars['div'])) {
            $formvars['div'] = '';
        }

        return $this->displayForm($formvars['id'], $formvars['div']);
    }

    function Listing($formvars = array())
    {

        if (!empty($formvars['block'])) {
            $sql = " SELECT bp.block_page_id, bp.block_page_id";
            $sql .= ", pn.page_nom_nom";
            $sql .= ", bp.block_page_rang";
            $sql .= ", IF(bp.block_page_display_desc = 1, 'OUI', 'NON')";
            $sql .= " FROM block_page bp";
            $sql .= " LEFT JOIN cms_page p ON(p.cms_page_id = bp.page_id)";
            $sql .= " LEFT JOIN cms_page_nom pn ON(pn.cms_page_id = p.cms_page_id AND pn.langue_id = '" . LANGUE . "')";

            $sql .= " WHERE 1";

            $sql .= " AND bp.block_id = '" . $formvars['block'] . "'";
        } else {
            $sql = "";
        }

        $this->request = $sql;
        //-- SQL
        // LABELS
        $label = new BackLabel("ID");
        $this->addLabel($label);

        $label = new BackLabel("NOM");
        $this->addLabel($label);

        $label = new BackLabel("RANG");
        $this->addLabel($label);

        $label = new BackLabel("AFFICHER DESCRIPTION");
        $this->addLabel($label);

        //-- LABELS

        return $this->displayList($formvars['type']);
    }

    //--
}