<?php

/**
 * Class Ads
 */
class Ads extends Model
{

    const SLIDESHOW_HOME = 1;

    protected $table = 'ads';

    /**
     * @param null $id
     * @throws Exception
     */
    public function __construct($id = null)
    {
        $this->leftJoin[] = array('ads_emplacement', 'ae.ads_emplacement_id', 'a.ads_emplacement_id');

        $this->innerJoin[] = [
            'ads_boutique',
            'AND',
            ['a.ads_id', 'ab.ads_id'],
            ['ab.boutique_id', Boutique::getInstance()->id]
        ];

        $this->where[] = 'ab.ads_boutique_statut_id = 1';
        $this->where[] = 'a.actif_id = 1';
        $this->where[] = 'a.ads_date_debut <= NOW()';
        $this->where[] = 'a.ads_date_fin >= NOW()';

        parent::__construct($id);
    }
}
