<?php

namespace Form;

use Form\Constraint\NotBlank;
use Texte;

class SavePanierForm extends Form
{

    public function __construct()
    {
        parent::__construct();
        $txt = new Texte();

        $this
            ->add(
                new Field(
                    "panier_nom",
                    array("not_empty" => new NotBlank()),
                    array("not_empty" => $txt->getOneOrCreate("panier_nom_obligatoire", "Vous devez remplir le champ nom du panier."))
                )
            )
        ;
    }
}
