{extends file='account/account_page_abstract.tpl'}
{block name='accountContent'}
    <!--account/modify-->

    <div class="formAccount">
        <h1 class="titleLvl4">{txt value="Mes informations"}</h1>
        {if !empty($error)}
            <div class="row">
                <div class="col-xs-12">
                    {include file="form/flash.tpl" class="error" messages=$error}
                </div>
            </div>
        {/if}
        {if !empty($success)}
            <div class="row">
                <div class="col-xs-12">
                    {include file="form/flash.tpl" class="success" messages=$success}
                </div>
            </div>
        {/if}
        <form action="{url page="modif_compte_post"}" method="post">
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group wrapFloatLabel">
                        <input type="text" name="client_nom" id="txtName" class="floatLabelInput" value="{$client.client_nom}">
                        <label for="client_nom" class="floatLabel"><span class="floatLabelContent">{txt value="Votre Nom"}</span></label>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group wrapFloatLabel">
                        <input type="text" name="client_prenom" id="txtName" class="floatLabelInput active"
                               value="{$client.client_prenom}">
                        <label for="client_prenom" class="floatLabel"><span class="floatLabelContent">{txt value="Votre Prénom"}</span></label>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6">
                    <div class="form-group wrapFloatLabel">
                        {* TODO Back : fix pattern pattern="^(?:0|\(?\+33\)?\s?|0033\s?)[1-79](?:[\.\-\s]?\d\d)4$"*}
                        <input type="tel" id="txtTel" name="client_telephone" class="floatLabelInput"
                               value="{$client.client_telephone}">
                        <label for="client_telephon" class="floatLabel"><span class="floatLabelContent">{txt value="Votre numéro de téléphone"}</span></label>
                    </div>
                </div>
                <div class="col-sm-6">
                    <div class="form-group wrapFloatLabel">
                        <input type="email" id="txtEmail" name="client_email" autocapitalize="off" autocorrect="off"
                               autocomplete="on" class="floatLabelInput" value="{$client.client_email}">
                        <label for="client_email" class="floatLabel"><span class="floatLabelContent">{txt value="Votre email"}</span></label>
                    </div>
                </div>
            </div>

            <div class="form-group">
                <label>{txt key="ddn_info" value="Date de naissance :*"}</label>
                <div class="row">
                    <div class="col-sm-4 col-xs-3">
                        {html_select_date display_months=false display_years=false prefix=client_ddn_ time=$client.client_ddn class="selectpicker"}
                    </div>
                    <div class="col-sm-4 col-xs-5">
                        {html_select_date month_format='%B' display_days=false display_years=false prefix=client_ddn_ time=$client.client_ddn class="selectpicker"}
                    </div>
                    <div class="col-sm-4 col-xs-4">
                        {html_select_date display_days=false display_months=false start_year=-100 prefix=client_ddn_ time=$client.client_ddn class="selectpicker"}
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-sm-6 col-sm-offset-3">
                    <button type="submit" class="btn btnMain wide">Valider</button>
                </div>
            </div>
        </form>
    </div>
{/block}



{block name="script-js"}

{/block}