{extends file="layout/layout.tpl"}
{assign var="template" value="Plan du site"}

{block name="content"}

    <!--sitemap.tpl-->
    <div class="sitemap">
        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    {Breadcrumb::getInstance()->render()}
                </div>
            </div>
        </div>

        <div class="container">
            <div class="row">
                <div class="col-xs-12">
                    <h1>{txt value='Plan du site'}</h1>

                    {if !empty($arrPages)}
                        <div>
                            <ul>
                                {foreach $arrPages as $page}
                                    <li>
                                        <a href="{url page="page" page_nom_url=$page.page_nom_url}">{$page.page_nom_nom}</a>
                                    </li>
                                {/foreach}
                            </ul>
                        </div>
                    {/if}

                    {if !empty($categories)}
                        <div>
                            {foreach $categories as $categorie}
                                <ul>
                                    <li>
                                        <a href="{url page="liste_1" categorie_nom=$categorie.categorie_nom_nom id=$categorie.categorie_id}">{$categorie.categorie_nom_nom}</a>
                                        {if !empty($categorie.children)}
                                            <ul>
                                                {foreach $categorie.children as $ssCat}
                                                    <li>
                                                        <a href="{url page="liste_2" parent_nom=$categorie.categorie_nom_nom categorie_nom=$ssCat.categorie_nom_nom id=$ssCat.categorie_id}">{$ssCat.categorie_nom_nom}</a>
                                                        {if !empty($ssCat.children)}
                                                            <ul>
                                                                {foreach $ssCat.children as $ssSsCat}
                                                                    <li>
                                                                        <a href="{url page="liste_3" grand_parent_nom=$categorie.categorie_nom_nom parent_nom=$ssCat.categorie_nom_nom categorie_nom=$ssSsCat.categorie_nom_nom id=$ssSsCat.categorie_id}">{$ssSsCat.categorie_nom_nom}</a>
                                                                    </li>
                                                                {/foreach}
                                                            </ul>
                                                        {/if}
                                                    </li>
                                                {/foreach}
                                            </ul>
                                        {/if}
                                    </li>
                                </ul>
                            {/foreach}
                        </div>
                    {/if}
                </div>
            </div>
        </div>
    </div>
{/block}